# Uses of Interface
org.eclipse.ui.views.properties.IPropertySourceProvider

Packages that use IPropertySourceProvider
Package
Description
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.

## Uses of IPropertySourceProvider in org.eclipse.ui.views.properties

Fields in org.eclipse.ui.views.properties declared as IPropertySourceProvider
Modifier and Type
Field
Description
`protected IPropertySourceProvider`
PropertyColumnLabelProvider.`propertySourceProvider`
`protected IPropertySourceProvider`
PropertyEditingSupport.`propertySourceProvider`
Methods in org.eclipse.ui.views.properties with parameters of type IPropertySourceProvider
Modifier and Type
Method
Description
`void`
PropertySheetEntry.`setPropertySourceProvider(IPropertySourceProvider provider)`
Sets a property source provider for this entry.
`void`
PropertySheetPage.`setPropertySourceProvider(IPropertySourceProvider newProvider)`
Sets the given property source provider as the property source provider.
Constructors in org.eclipse.ui.views.properties with parameters of type IPropertySourceProvider
Modifier
Constructor
Description
``
`PropertyColumnLabelProvider(IPropertySourceProvider propertySourceProvider, Object propertyID)`
Creates a new instance based on the given property source provider and property id.
``
`PropertyEditingSupport(ColumnViewer viewer, IPropertySourceProvider propertySourceProvider, Object propertyID)`
Creates a new instance to be used with the given viewer, based on the given property source provider and property ID.